Subject: bug#18353: 24.4.50; unicode chars in mode-line on tty

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Aug 2014 18:54:03 +0300

> From: Tom Tromey <[email-masked]>
> Cc: Tom Tromey <[email-masked]>,  [email-masked]
> Date: Fri, 29 Aug 2014 09:22:44 -0600
> 
> Eli> Perhaps this is another manifestation of bug #17497?  Do you also have
> Eli> problems with TTY menus, as described in screenshots there?
> 
> I don't know how to get tty menus.

Pressing F10 should drop down the File menu.  Then you can navigate
them with arrow keys or C-f/C-b/C-n/C-p.  To select, press RET, to
exit without selecting, press C-g.

> Eli> Does the problem happen for you in a different terminal emulator, say,
> Eli> xterm?
> 
> It is worse in xterm.  There, the "unusual" character is not displayed
> at all.

Not even as a literal "\u26C3" string?  That would be strange,
indeed.  What do you get in the *scratch* buffer if you type
"C-x 8 RET 26C3 RET"?  Also, what is your terminal-coding-system?